%global momorel 10
%global realname c-comment-edit
%global emacsver 22.1
%global e_sitedir %{_datadir}/emacs/site-lisp

Summary: C comment edit mode for Emacs.
Name:       elisp-%{realname}
Version:    1.02
Release: %{momorel}m%{?dist}
License:    GPL
Group:      Applications/Editors
Source0: http://www.wonderworks.com/download/%{realname}.el
URL:     http://www.wonderworks.com/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}
Requires: emacsen

%description
C/C++ type comment edit mode for Emacs.

%package -n %{realname}-emacs
Group:      Applications/Editors
Summary: C comment edit mode for Emacs.
Requires: emacs >= %{emacsver}

%description -n %{realname}-emacs
C/C++ type comment edit mode for Emacs.

%prep

%setup -qTc
%{__rm} -rf %{buildroot}
%__cp %{S:0} .

%build
emacs -q -batch -f batch-byte-compile %{realname}.el

%install
%{__rm} -rf %{buildroot}
%__mkdir -p -m 0755 %{buildroot}/%{e_sitedir}/%{realname}
%__install -m 0644 %{realname}.el %{buildroot}/%{e_sitedir}/%{realname}/%{realname}.el
%__install -m 0644 %{realname}.elc %{buildroot}/%{e_sitedir}/%{realname}/%{realname}.elc

%clean
%{__rm} -rf %{buildroot}

%files -n %{realname}-emacs
%defattr(-, root,root)
%dir %{e_sitedir}/%{realname}
%{e_sitedir}/%{realname}/%{realname}.el*

%changelog
* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.02-10m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02-9m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02-8m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02-7m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02-6m)
- rebuild against emacs-22.0.94

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02-5m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02-4m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02-3m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.02-2m)
- rebuild against emacs-22.0.90

* Sat Dec 24 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.02-1m)
- Initial specfile
